package cmd

import (
	"github.com/spf13/cobra"
	"yizhisec.com/hsv2/forge/internal/controller/maker"
)

func makeHSNet() *cobra.Command {
	_cmd := &cobra.Command{
		Use:   "hs-net",
		Short: "Build hs-net",
		Long:  `Build hs-net`,
		RunE: func(cmd *cobra.Command, args []string) error {
			mk := maker.NewMaker()
			return mk.HSNet(cmd.Context())
		},
	}

	return _cmd
}
